Skip to content

Accept a bounded, sanitized batch of browser runtime diagnostics.

POST
/api/workspace/ui-project/runtime/diagnostics
curl --request POST \
--url https://example.com/api/workspace/ui-project/runtime/diagnostics \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Events": [ { "EventKind": 1, "StatusFamily": 0, "PageKey": "example", "ArtifactId": "example", "ArtifactHash": "example", "HostContractVersion": 1, "DurationMilliseconds": 1, "SourcePath": "example", "Line": 1, "Column": 1, "Summary": "example" } ] }'
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Bounded batch of Workspace UI runtime diagnostics.

object
Events

Diagnostic events, limited to ten items.

Array<object>
nullable

One bounded browser-generated Workspace UI runtime diagnostic.

object
EventKind
integer format: int32
Allowed values: 1 2 3 4 5 6 7
StatusFamily
integer format: int32
Allowed values: 0 1 2 3 4 5 6 7
PageKey

Optional active page key.

string
nullable
ArtifactId

Optional active artifact identifier.

string
nullable
ArtifactHash

Optional active artifact hash.

string
nullable
HostContractVersion

Observed host contract version.

integer format: int32
nullable
DurationMilliseconds

Optional duration in milliseconds.

integer format: int64
nullable
SourcePath

Optional canonical Workspace UI source path.

string
nullable
Line

Optional one-based source line.

integer format: int32
nullable
Column

Optional one-based source column.

integer format: int32
nullable
Summary

Optional bounded and sanitized summary.

string
nullable

OK

Media typeapplication/json
object
Data

Result of best-effort Workspace UI runtime diagnostic ingestion.

object
AcceptedCount

Number of accepted events.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Bad Request

Media typeapplication/json
object
Data

Result of best-effort Workspace UI runtime diagnostic ingestion.

object
AcceptedCount

Number of accepted events.

integer format: int32
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}

Forbidden

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}

Too Many Requests

Media typeapplication/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Examplegenerated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}